aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-keyview/opie-keyview.inc
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-keyview/opie-keyview.inc
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-keyview/opie-keyview.inc')
-rw-r--r--recipes-opie/opie-keyview/opie-keyview.inc27
1 files changed, 27 insertions, 0 deletions
diff --git a/recipes-opie/opie-keyview/opie-keyview.inc b/recipes-opie/opie-keyview/opie-keyview.inc
new file mode 100644
index 0000000..904d781
--- /dev/null
+++ b/recipes-opie/opie-keyview/opie-keyview.inc
@@ -0,0 +1,27 @@
+DESCRIPTION = "Keyview Development Inputmethod"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "keyview"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libkeyview.so*